* {
  box-sizing: border-box;
}

body {
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
  background-image: url(./assets/magicbg.jpg);
}

h1 {
  font-weight: bold;
  font-size: 44px;
  line-height: 34px;
  color: #fff;
  text-align: center;
}

h2 {
  font-weight: bold;
  font-size: 16px;
  line-height: 34px;
  color: #ffffff;
  text-align: center;
  margin-bottom: 36px;
}

p {
  font-size: 18px;
  font-weight: 600;
  line-height: 28px;
  margin: 0;
}

input {
  box-sizing: border-box;
  border: none;
  border-radius: 4px 0 0 4px;
  background-image: url(./assets/bodrer.jpg);
  color: #000000;
  padding: 16px;
  font-size: 22px;
  font-family: 'Montserrat';
  font-weight: 600;
  line-height: 26px;
  flex: 1;
}

main {
  margin: 0 auto;
  width: 100%;
  max-width: 700px;
  height: 600px;
  border-radius: 30px;
  background: #fff;
  padding: 20px 24px;
  padding-top: 0;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  background-image: url(assets/scroll.jpg);
}

.chat {
  flex: 1;
  display: flex;
  justify-content: flex-start;
  overflow: scroll;
  flex-direction: column;
  padding-bottom: 16px;
  overflow-x: hidden; /* Hide horizontal scrollbar */
}

.bot-msg {
  display: flex;
  margin: 16px 8px 0 0;
  flex-shrink: 0;
}

.user-msg {
  display: flex;
  justify-content: flex-end;
  margin: 16px 0 0 8px;
  flex-shrink: 0;
}

.bot-msg img,
.user-msg img {
  width: 60px;
  height: 60px;
}

.bubble {
  font-weight: 100;
  font-size: 16px;
  line-height: 26px;
  padding: 16px 24px;
  color: #000000;
  max-width: 40%;
  font-family: 'Times New Roman', Times, serif;
}

.bot-bubble {
  border-radius: 0px 26px 26px 26px;
  margin-left: 8px;
}

.user-bubble {
  border-radius: 26px 0 26px 26px;
  margin-right: 8px;
}

.input-wrapper {
  display: flex;
  justify-content: center;
}

.input-wrapper form {
  width: 100%;
  display: flex;
  align-items: center;
}

label {
  font-size: 16px;
  font-family: 'Montserrat';
  font-weight: 500;
  color: #0026ff;
  margin-right: 20px;
}

button {
  background-color: #000000;
  color: rgb(255, 255, 255);
  border: none;
  border-radius: 4px;
  padding: 16px 40px;
  margin-right: 4px;
  font-size: 16px;
  line-height: 26px;
  font-family: 'Montserrat';
  font-weight: 500;
  cursor: pointer;
  transition: all 0.3s ease;
}

button:hover {
  background-color: #3f1f72;
  opacity: 0.8;
  transition: all 1.5s ease;
  border-radius: 96px;
  -webkit-animation: glow 1s ease-in-out infinite alternate;
  -moz-animation: glow 1s ease-in-out infinite alternate;
  animation: glow 1s ease-in-out infinite alternate;
}

.glow {
  -webkit-animation: glow 1s ease-in-out infinite alternate;
  -moz-animation: glow 1s ease-in-out infinite alternate;
  animation: glow 1s ease-in-out infinite alternate;
}

@-webkit-keyframes glow {
  from {
    text-shadow: 0 0 10px #000000, 0 0 20px #5182b9, 0 0 30px #345275, 0 0 40px #214369, 0 0 50px #1c5291, 0 0 60px #5188c7, 0 0 70px #095ec0;
  }
  to {
    text-shadow: 0 0 20px #be8c21, 0 0 30px #9557fa, 0 0 40px #703ec0, 0 0 50px #4c2b83, 0 0 60px #3f1f72, 0 0 70px #6321ce, 0 0 80px #7020f1;
  }
}